Package com.evopdf

# Class LineStyle

java.lang.Object
com.evopdf.LineStyle

public class LineStyle extends Object
The line style for a graphic element which draws lines

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LineStyle()`
  Constructs a default line style
  `LineStyle(float lineWidth)`
  Constructs a line style with the specified line width
  `LineStyle(float lineWidth, LineCapStyle lineCapStyle, LineJoinStyle lineJoinStyle)`
  Constructs a style for a line with the specified width, cap and join styles
  `LineStyle(float lineWidth, LineDashStyle lineDashStyle)`
  Constructs a style for a dashed line
  `LineStyle(LineDashStyle lineDashStyle)`
  Constructs a style for a dashed line

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LineCapStyle`
  `lineCapStyle()`
  Gets the line cap style
  `LineDashStyle`
  `lineDashStyle()`
  Gets the line dash pattern
  `LineJoinStyle`
  `lineJoinStyle()`
  Gets the line join style
  `float`
  `lineWidth()`
  Gets the line width
  `void`
  `setLineCapStyle(LineCapStyle lineCapStyle)`
  Sets the line cap style
  `void`
  `setLineDashStyle(LineDashStyle lineDashStyle)`
  Sets the line dash pattern
  `void`
  `setLineJoinStyle(LineJoinStyle lineJoinStyle)`
  Sets the line join style
  `void`
  `setLineWidth(float lineWidth)`
  Sets the line width

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LineStyle

    public LineStyle()
    Constructs a default line style

  - ### LineStyle

    public LineStyle(float lineWidth)
    Constructs a line style with the specified line width
    Parameters:
      `lineWidth` - the line width

  - ### LineStyle

    public LineStyle(LineDashStyle lineDashStyle)
    Constructs a style for a dashed line
    Parameters:
      `lineDashStyle` - the he dash style

  - ### LineStyle

    public LineStyle(float lineWidth, LineDashStyle lineDashStyle)
    Constructs a style for a dashed line
    Parameters:
      `lineWidth` - the line width
      `lineDashStyle` - the dash style

  - ### LineStyle

    public LineStyle(float lineWidth, LineCapStyle lineCapStyle, LineJoinStyle lineJoinStyle)
    Constructs a style for a line with the specified width, cap and join styles
    Parameters:
      `lineWidth` - the line width in graphic units
      `lineCapStyle` - the line cap style
      `lineJoinStyle` - the line join style

- ## Method Details

  - ### lineWidth

    public float lineWidth()
    Gets the line width
    Returns:
      line width

  - ### setLineWidth

    public void setLineWidth(float lineWidth)
    Sets the line width
    Parameters:
      `lineWidth` - the line width to set

  - ### lineCapStyle

    public LineCapStyle lineCapStyle()
    Gets the line cap style
    Returns:
      the line cap style

  - ### setLineCapStyle

    public void setLineCapStyle(LineCapStyle lineCapStyle)
    Sets the line cap style
    Parameters:
      `lineCapStyle` - the line cap style to set

  - ### lineJoinStyle

    public LineJoinStyle lineJoinStyle()
    Gets the line join style
    Returns:
      the line join style

  - ### setLineJoinStyle

    public void setLineJoinStyle(LineJoinStyle lineJoinStyle)
    Sets the line join style
    Parameters:
      `lineJoinStyle` - the line join style

  - ### lineDashStyle

    public LineDashStyle lineDashStyle()
    Gets the line dash pattern
    Returns:
      the line dash pattern

  - ### setLineDashStyle

    public void setLineDashStyle(LineDashStyle lineDashStyle)
    Sets the line dash pattern
    Parameters:
      `lineDashStyle` - the line dash pattern